Package uk.ac.starlink.vo

## Class Capability

- java.lang.Object
- - uk.ac.starlink.vo.Capability

-     public class Capability
      extends java.lang.Object

  Describes a capability of a registry service.
  Since:
    3 Jul 2009
  Author:
    Mark Taylor

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Capability` | `CONE` | Cone search capability.
    `static Capability` | `SIA` | Simple Image Access capability.
    `static Capability` | `SSA` | Simple Spectral Access capability.
    `static Capability` | `TAP` | Table Access Protocol capability.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Capability​(java.lang.String[] standardIds, java.lang.String xsiTypeTail)` | Constructs a capability with multiple alternative standardIDs.
    `Capability​(java.lang.String standardId, java.lang.String xsiTypeTail)` | Constructs a capability with a unique standardID.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String[]` | `getStandardIds()` | Returns the capability/@standardID string for this capability.
    `java.lang.String` | `getXsiTypeTail()` | Returns the final part of the capability/@xsi:type for this capability.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CONE

          public static final Capability CONE

      Cone search capability.

    - #### SIA

          public static final Capability SIA

      Simple Image Access capability.

    - #### SSA

          public static final Capability SSA

      Simple Spectral Access capability.

    - #### TAP

          public static final Capability TAP

      Table Access Protocol capability.

  - ### Constructor Detail

    - #### Capability

          public Capability​(java.lang.String standardId,
                            java.lang.String xsiTypeTail)

      Constructs a capability with a unique standardID.
      Parameters:
        `standardId` - capability/@standardID value identifying the capability
        `xsiTypeTail` - trailing part of the capability/@xsi:type for the capability

    - #### Capability

          public Capability​(java.lang.String[] standardIds,
                            java.lang.String xsiTypeTail)

      Constructs a capability with multiple alternative standardIDs.
      Parameters:
        `standardIds` - array of capability/@standardID values identifying the capability
        `xsiTypeTail` - trailing part of the capability/@xsi:type for the capability

  - ### Method Detail

    - #### getStandardIds

          public java.lang.String[] getStandardIds()

      Returns the capability/@standardID string for this capability.
      Returns:
        ivorn for standard

    - #### getXsiTypeTail

          public java.lang.String getXsiTypeTail()

      Returns the final part of the capability/@xsi:type for this capability.
      Returns:
        xsi:type tail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`